<div class="row justify-content-center">
  <div class="mt-3 col-xl-6 col-lg-6 col-md-6 col-lg-offset-2 col-xl-offset-2 col-md-offset-2">
    <div class="card o-hidden border-0 shadow">
      <div class="card-body p-0">
        <!-- Nested Row within Card Body -->
        <div class="row">
          <div class="col-lg-12 ">
            <div class="p-5">
              <div class="text-center">
                <h1 class="h4 text-gray-900 mb-4 user-text">Change Password</h1>
              </div>
              <form [formGroup]="changePassword" (submit)="ChangePassword()" class="user login-form">
                <div class="form-group">
                  <input formControlName='old_password' type="password" class="form-control form-control-user"
                    name="full_name" placeholder="old password">
                  <div *ngIf="submitted && f.old_password.errors" class="errors">
                    <div *ngIf="f.old_password.errors.required">old_password required</div>
                  </div>
                </div>

                <div class="form-group">
                  <input formControlName='password' type="password" class="form-control form-control-user" name="email"
                    placeholder="password">
                  <div *ngIf="submitted && f.password.errors" class="errors">
                    <div *ngIf="f.password.errors.required">full name required</div>
                  </div>
                </div>

                <div class="form-group">
                  <input formControlName='cpassword' type="password" class="form-control form-control-user" name="email"
                    placeholder="Confirm password">
                  <div *ngIf="submitted && f.cpassword.errors" class="errors">
                    <div *ngIf="f.cpassword.errors.required">confirm password required</div>
                  </div>
                  <div *ngIf="f.password.value!==f.cpassword.value && f.cpassword.value!=''" class='errors'>
                    Password and Confirm password Should be match</div>
                </div>

                <div class="form-group row">
                  <div class="col-sm-3 mb-3 mb-sm-0">
                  </div>
                  <div class="col-sm-6 mb-3 mb-sm-0">
                    <input [disabled]="f.password.value!==f.cpassword.value && f.cpassword.value!=''" type="submit"
                      value="Change Password" class="btn btn-user btn-custom btn-block"> </div>
                </div>

              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>